Page MenuHomeFreeBSD

USES=samba
ClosedPublic

Authored by antoine on Dec 26 2016, 9:00 PM.

Details

Summary

USES=samba, this is totally untested and just a draft for now

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7982
Build 8143: arc lint + arc unit

Event Timeline

antoine updated this revision to Diff 23286.Dec 26 2016, 9:00 PM
antoine retitled this revision from to USES=samba.
antoine updated this object.
antoine edited the test plan for this revision. (Show Details)
mat added inline comments.Dec 27 2016, 9:28 AM
Mk/Uses/samba.mk
6–8

maybe there could be a default, say, build run

26

This may need a .else IGNORE=invalid samba version or check-makevars:: or something.

antoine updated this revision to Diff 23297.Dec 27 2016, 3:37 PM
antoine edited edge metadata.

Convert a few ports

mat added a comment.Jan 4 2017, 4:28 PM

This looks promising :-)

antoine updated this revision to Diff 26061.Mar 7 2017, 11:38 AM
antoine edited edge metadata.

This version should be ready for review/exp-run

mat added inline comments.Mar 8 2017, 12:55 PM
multimedia/kodi/Makefile
139

I don't think lib,run makes a lot of sense, lib is already build+run.

antoine updated this revision to Diff 26132.Mar 10 2017, 9:24 PM

Don't use lib,run

mat accepted this revision.Mar 13 2017, 4:29 PM

Looks good to me, time to exp-run and test that pkg upgrade works ?

This revision is now accepted and ready to land.Mar 13 2017, 4:29 PM
antoine closed this revision.Mar 21 2017, 10:06 PM